Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class DomainManagerHelper

    java.lang.Object
      |
      +--org.omg.CORBA.DomainManagerHelper

public class DomainManagerHelper
extends java.lang.Object

Helper class for : DomainManager

Author:
  OpenORB Compiler

Constructor Summary
`DomainManagerHelper()`

Method Summary
`static DomainManager` | `extract(Any a)` Extract DomainManager from an any
`static java.lang.String` | `id()` Return the DomainManager IDL ID
`static void` | `insert(Any a, DomainManager t)` Insert DomainManager into an any
`static DomainManager` | `narrow(Object obj)` Narrow CORBA::Object to DomainManager
`static DomainManager` | `read(InputStream istream)` Read DomainManager from a marshalled stream
`static TypeCode` | `type()` Return the DomainManager TypeCode
`static DomainManager` | `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to DomainManager
`static void` | `write(OutputStream ostream, DomainManager value)` Write DomainManager into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomainManagerHelper

    public DomainManagerHelper()

Method Detail

### insert

    public static void insert(Any a,
                              DomainManager t)

  Insert DomainManager into an any
  Parameters:
    `a` - an any
    `t` - DomainManager value

### extract

    public static DomainManager extract(Any a)

  Extract DomainManager from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted DomainManager value

### type

    public static TypeCode type()

  Return the DomainManager TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the DomainManager IDL ID
  Returns:
    an ID

### read

    public static DomainManager read(InputStream istream)

  Read DomainManager from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed DomainManager value

### write

    public static void write(OutputStream ostream,
                             DomainManager value)

  Write DomainManager into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - DomainManager value

### narrow

    public static DomainManager narrow(Object obj)

  Narrow CORBA::Object to DomainManager
  Parameters:
    `obj` - the CORBA Object
  Returns:
    DomainManager Object

### unchecked_narrow

    public static DomainManager unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to DomainManager
  Parameters:
    `obj` - the CORBA Object
  Returns:
    DomainManager Object

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD